package org.openxma.dsl.common.formatter.locator;

import org.eclipse.emf.ecore.EObject;
import org.openxma.dsl.common.formatter.IFormatCondition;
import org.openxma.dsl.common.formatter.LocatorTree;

public class SimpleLocator {
	
	protected EObject left;
	protected EObject right;
	IFormatCondition formatCondition;	
	
	public IFormatCondition getFormatCondition() {
		return formatCondition;
	}

	protected LocatorTree locatorTree;
	
	public SimpleLocator(LocatorTree locatorTree) {
		this.locatorTree = locatorTree;
	}	
	
	public void after(EObject left) {
		this.left = left;
		this.right = null;			
		locatorTree.addAfter(this);
	}

	public void before(EObject right) {
		this.left = null;
		this.right = right;			
		locatorTree.addBefore(this);
	}
	
	public void before(EObject right, IFormatCondition formatCondition) {
		this.left = null;
		this.right = right;
		this.formatCondition = formatCondition;
		locatorTree.addBefore(this);
	}	
	
	public EObject getLeft() {
		return left;
	}
	
	public EObject getRight() {
		return right;
	}

}
